Package org.silverpeas.components.kmelia.notification

# Class KmeliaSubscriptionPublicationUserNotification

java.lang.Object
org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<org.silverpeas.core.contribution.publication.model.PublicationDetail>
org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.contribution.publication.model.PublicationDetail>
org.silverpeas.components.kmelia.notification.AbstractKmeliaUserNotification<org.silverpeas.core.contribution.publication.model.PublicationDetail>
org.silverpeas.components.kmelia.notification.AbstractKmeliaPublicationUserNotification
org.silverpeas.components.kmelia.notification.KmeliaSubscriptionPublicationUserNotification

All Implemented Interfaces:
  `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`, `org.silverpeas.core.notification.user.RemoveSenderRecipientBehavior`, `org.silverpeas.core.notification.user.UserSubscriptionNotificationBehavior`

public class KmeliaSubscriptionPublicationUserNotification extends AbstractKmeliaPublicationUserNotification implements org.silverpeas.core.notification.user.UserSubscriptionNotificationBehavior

Author:
  Yohann Chastagnier

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

  ### Fields inherited from interface org.silverpeas.core.notification.user.UserSubscriptionNotificationBehavior

  `SUBSCRIPTION_NOTIFICATION_SENDING_CONFIRMATION_HTTP_PARAM`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KmeliaSubscriptionPublicationUserNotification(org.silverpeas.core.node.model.NodePK nodePK, org.silverpeas.core.contribution.publication.model.PublicationDetail resource, org.silverpeas.core.notification.user.client.constant.NotifAction action)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getBundleSubjectKey()`
  `protected Collection<String>`
  `getGroupIdsToNotify()`
  `protected String`
  `getTemplateFileName()`
  `protected Collection<String>`
  `getUserIdsToNotify()`
  `protected void`
  `perform(org.silverpeas.core.contribution.publication.model.PublicationDetail resource)`

  ### Methods inherited from class org.silverpeas.components.kmelia.notification.AbstractKmeliaPublicationUserNotification

  `getAction, getComponentInstanceId, getContributionAccessLinkLabelBundleKey, getNodePK, getPath, getResourceURL, getSender, isGroupCanBeNotified, isUserCanBeNotified, performNotificationResource, performTemplateData, stopWhenNoUserToNotify`

  ### Methods inherited from class org.silverpeas.components.kmelia.notification.AbstractKmeliaUserNotification

  `getHTMLNodePath, getLocalizationBundlePath, getNodeHeader, getNodeService, getOrganisationController, getTemplatePath`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `createNotification, getTitle, getTitle, performBuild, performNotificationResource, performNotificationResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

  `getResource, initialize, initializeNotificationResourceData, isSendImmediately, performBuild, setResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

  `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KmeliaSubscriptionPublicationUserNotification

    public KmeliaSubscriptionPublicationUserNotification(org.silverpeas.core.node.model.NodePK nodePK, org.silverpeas.core.contribution.publication.model.PublicationDetail resource, org.silverpeas.core.notification.user.client.constant.NotifAction action)

- ## Method Details

  - ### perform

    protected void perform(org.silverpeas.core.contribution.publication.model.PublicationDetail resource)
    Overrides:
      `perform` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.contribution.publication.model.PublicationDetail>`

  - ### getBundleSubjectKey

    protected String getBundleSubjectKey()
    Overrides:
      `getBundleSubjectKey` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.contribution.publication.model.PublicationDetail>`

  - ### getTemplateFileName

    protected String getTemplateFileName()
    Specified by:
      `getTemplateFileName` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.contribution.publication.model.PublicationDetail>`

  - ### getUserIdsToNotify

    protected Collection<String> getUserIdsToNotify()
    Specified by:
      `getUserIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getGroupIdsToNotify

    protected Collection<String> getGroupIdsToNotify()
    Overrides:
      `getGroupIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`